scim::HelperManager Class Reference
Helper

This class is used to manage all helper objects. More...

`#include <scim_helper_manager.h>`

## Public Member Functions

| HelperManager ()
| ~HelperManager ()
unsigned int | number_of_helpers () const
| Get the total number of helpers supported by all helper modules.
bool | get_helper_info (unsigned int idx, HelperInfo &info) const
| Get the information of a specific helper by its index.
void | run_helper (const String &uuid, const String &config_name, const String &display) const
| Run a specific helper.

## Detailed Description

This class is used to manage all helper objects.

## Constructor & Destructor Documentation

## HelperManager()

scim::HelperManager::HelperManager | ( |  | ) |

## ~HelperManager()

scim::HelperManager::~HelperManager | ( |  | ) |

## Member Function Documentation

## number_of_helpers()

unsigned int scim::HelperManager::number_of_helpers | ( |  | ) | const

Get the total number of helpers supported by all helper modules.

## get_helper_info()

bool scim::HelperManager::get_helper_info | ( | unsigned int | idx,
|  | HelperInfo & | info ) const

Get the information of a specific helper by its index.

Parameters

  idx | The index of the helper, must between 0 to number_of_helpers () - 1.
  info | The HelperInfo object to store the information.

Returns
  true if this helper is ok and the information is stored correctly.

## run_helper()

void scim::HelperManager::run_helper | ( | const String & | uuid,
|  | const String & | config_name,
|  | const String & | display ) const

Run a specific helper.

The helper will run in a newly forked process, so this function will return as soon as the new process is launched.

Parameters

  config_name | The name of the ConfigModule to be used to read configurations.
  uuid | The UUID of the helper to be run.
  display | The display in which the helper will be run.

The documentation for this class was generated from the following file:

- scim_helper_manager.h